Bug 284930 - Return better display names from profiles/plugins
Summary: Return better display names from profiles/plugins
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: accounts-kcm (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.6-next
Assignee: Daniele E. Domenichelli
URL:
Keywords:
: 306094 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-10-25 12:02 UTC by David Edmundson
Modified: 2013-02-26 14:05 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Edmundson 2011-10-25 12:02:22 UTC
Currently we use the account name (normally foo@server.com) which 
1) is a bit hacky (especially with workarounds for local xmpp)
2) it displays raw addresses to a user, which look rubbish (i.e exposes @chat.facebook.com)

There is a FIXME in the code that says "prompt the user" for a display name. This is a rubbish solution. The less prompts the better.

The account plugins should have a method to return a sensible display string
so the facebook plugin can return "MyUserName (Facebook)" or some such. Local XMPP no longer needs a workaround in the main code.

This should be in AbstractAccountUi (or AbstractAccountUiPlugin.. not sure which) and not be virtual but not pure virtual. The default implementation acn return the account name so it works if the plugin is not updated.
Comment 1 Martin Klapetek 2011-10-27 09:28:34 UTC
I'm switching this to Accounts KCM as that's where it should be fixed.
Comment 2 Daniele E. Domenichelli 2012-01-01 21:25:25 UTC
I'm taking this...
Comment 3 David Edmundson 2012-05-17 10:47:59 UTC
Deferring till 0.5
(though can we get this merged!)
Comment 4 David Edmundson 2012-08-09 09:13:31 UTC
why did we not merge this?
Comment 5 Daniele E. Domenichelli 2012-08-09 09:51:04 UTC
Actually I had a patch on reviewboard and I wanted to make some changes to it, but I completely forgot... I will try to fix this asap, but it's probably too late for 0.5...
Comment 6 Martin Klapetek 2012-09-01 12:14:01 UTC
*** Bug 306094 has been marked as a duplicate of this bug. ***
Comment 7 David Edmundson 2013-01-19 18:58:03 UTC
Link to the review request https://git.reviewboard.kde.org/r/103628/
Comment 8 Daniele E. Domenichelli 2013-02-26 14:05:47 UTC
Stupid bugzilla doesn't like my brand new kde.org account so I'm closing it manually :P

---

Git commit 20f4d263e468f14c575dd44848db66bb6cd082e9 by Daniele E. Domenichelli.
Committed on 26/02/2013 at 14:04.
Pushed by ddomenichelli into branch 'master'.

Merge branch 'displayname'

Reviewed-by: David Edmundson <kde@davidedmundson.co.uk>
REVIEW: 103628
FIXED-IN: 0.6
DIGEST


http://commits.kde.org/telepathy-accounts-kcm/20f4d263e468f14c575dd44848db66bb6cd082e9